Package tigase.util.stringprep

## Class XMPPStringPrepSimple

- java.lang.Object
- - tigase.util.stringprep.XMPPStringPrepSimple

- All Implemented Interfaces:
    `XMPPStringPrepIfc`

      public class XMPPStringPrepSimple
      extends java.lang.Object
      implements XMPPStringPrepIfc

  Created: Feb 4, 2010 9:31:23 AM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMPPStringPrepSimple()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `nameprep​(java.lang.String domain)` | JID's domain part stringprep processing.
    `java.lang.String` | `nodeprep​(java.lang.String localpart)` | JID's localpart (or nick name) stringprep processing.
    `java.lang.String` | `resourceprep​(java.lang.String resource)` | JID's resource stringprep proessing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMPPStringPrepSimple

          public XMPPStringPrepSimple()

  - ### Method Detail

    - #### nameprep

          public java.lang.String nameprep​(java.lang.String domain)
                                    throws TigaseStringprepException

      Description copied from interface: `XMPPStringPrepIfc`
      JID's domain part stringprep processing. In RFC-3920 this is called nameprep processing.
      Specified by:
        `nameprep` in interface `XMPPStringPrepIfc`
      Parameters:
        `domain` - a `String` value of the JID's domain part.
      Returns:
        nameprep processed JID's doman part.
      Throws:
        `TigaseStringprepException` - if stringprep exception occurs.

    - #### nodeprep

          public java.lang.String nodeprep​(java.lang.String localpart)
                                    throws TigaseStringprepException

      Description copied from interface: `XMPPStringPrepIfc`
      JID's localpart (or nick name) stringprep processing. In RFC-3920 this is called nodeprep processing.
      Specified by:
        `nodeprep` in interface `XMPPStringPrepIfc`
      Parameters:
        `localpart` - a `String` value of the JID's localpart.
      Returns:
        nodeprep processed JID's localpart.
      Throws:
        `TigaseStringprepException` - if stringprep exception occurs.

    - #### resourceprep

          public java.lang.String resourceprep​(java.lang.String resource)
                                        throws TigaseStringprepException

      Description copied from interface: `XMPPStringPrepIfc`
      JID's resource stringprep proessing. In RFC-3920 this is called resourceprep processing.
      Specified by:
        `resourceprep` in interface `XMPPStringPrepIfc`
      Parameters:
        `resource` - a `String` value of the JID's resource part.
      Returns:
        resourceprep processed JID's resource part.
      Throws:
        `TigaseStringprepException` - if stringprep exception occurs.